Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am just starting out with Asterisk and have installed Asterisk 1.2 on CentOS 5.5 from the atrpms repository.

I now have a working system and am connected to an IAX trunk provider. I am able to make incoming and outgoing calls.

I have not yet added any extras like on-hold messages or voice mail.

It appears from the upgrade.txt that using my configuration files on Asterisk 1.4 in the future should be a simple thing to do.

At this early stage I have the alternative to remove Asterisk 1.2 and install Asterisk 1.4 from source and use that instead.

Given the overhead of managing updates outside of the repositories, what benefits and new features would Asterisk 1.4 provide to make this worthwhile?

In short, should I upgrade?

share|improve this question
    
Just curious, why not upgrade to Asterisk 1.6? –  shapr Aug 26 '10 at 16:22

1 Answer 1

up vote 0 down vote accepted

I think you should.

In our use, Asterisk 1.4 has proven to be a lot more stable, have fewer bugs and also, is still supported.

Under your configuration the upgrade should be easy, and you start building your IP PBX using stable ground. If you try to add features to your current 1.2 installation you will most probabbly hit some bug or security related issue that you would have to backport manually.

share|improve this answer
    
I am already having dependency issues using the version from atrpms so building from source is looking more attractive. Could you edit your answer and give a bit more detail as this would be really useful for me to get your views and will help others too I am sure. Many Thanks –  Richard Holloway Aug 17 '10 at 17:56

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.